# applyPostTerrainChangeAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostTerrainChangeAbAttrs

- applyPostTerrainChangeAbAttrs(
  attrType: Constructor < PostTerrainChangeAbAttr >,
  pokemon: default ,
  terrain: TerrainType ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostTerrainChangeAbAttr >
  - pokemon: default
  - terrain: TerrainType
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:6118